<?xml version="1.0" encoding="UTF-8" ?>
<project name="BlancoSOAP" default="build" basedir=".">
	<property name="version" value="0.0.5" />

	<property name="project" value="blancoXsd" />
	<property name="product" value="blanco.xsd" />
	<property name="project.zip" value="${project}-${version}-src.zip" />
	<property name="project.main.jar" value="blancoxsd-${version}.jar" />

	<property name="eclipse.dir" value="C:/eclipse.ve" />

	<!-- Antタスク定義CSP用 2005.12.09版 -->
	<taskdef name="blancoanttask" classname="blanco.anttask.task.BlancoAntTaskTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	<taskdef name="blancoresourcebundle" classname="blanco.resourcebundle.task.BlancoResourceBundleTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	<!-- Antタスク定義CSP用 2005.12.09版 -->
	<taskdef name="blancometa2xmlprocess" classname="blanco.meta2xml.task.BlancoMeta2XmlProcessTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>
	<taskdef name="blancoconcretesax" classname="blanco.sax.task.BlancoConcreteSaxTask">
		<classpath>
			<fileset dir="lib" includes="*.jar" />
			<fileset dir="lib.ant" includes="*.jar" />
		</classpath>
	</taskdef>

	<target name="pack">
		<echo>packing project</echo>
		<delete file="${project.zip}" />
		<delete dir="bin" />
		<delete dir="tmp/telegram" />
		<delete dir="javadoc" />
		<delete dir="tmp" />
		<mkdir dir="tmp" />

		<zip destfile="${project.zip}">
			<zipfileset dir="." prefix="${project}" excludes="${project.zip},**/*.class" />
		</zip>

	</target>

	<target name="jar">
		<echo>building jar</echo>

		<delete file="${project.main.jar}" />
		<jar destfile="${project.main.jar}">
			<zipfileset dir="doc" prefix="doc" />
			<zipfileset dir="bin" includes="**/*" />
			<!-- Javaソースコードを取り込むようにします -->
			<zipfileset dir="src" includes="**/*" prefix="src" />
			<!-- Javaソースコードの取り込み -->
			<zipfileset dir="blanco/main" includes="**/*.java" prefix="src" />
			<!-- プロパティファイルの取り込み -->
			<zipfileset dir="blanco/main" includes="*.properties" />
		</jar>
	</target>

	<target name="compile">
		<delete dir="bin" />
		<mkdir dir="bin" />
		<javac srcdir="blanco/main" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
		<javac srcdir="src/" destdir="bin" debug="true" source="1.4" target="1.4" fork="true">
			<classpath>
				<!-- ワイルドカードで一括取り込み -->
				<fileset dir="lib" includes="*.jar" />
				<pathelement path="${eclipse.dir}/plugins/org.junit_3.8.1/junit.jar" />
			</classpath>
			<include name="**/*.java" />
		</javac>
	</target>

	<target name="meta">
		<blancoresourcebundle metadir="meta/xsd/program" tmpdir="tmp" targetdir="blanco" commenttimestamp="false" />

		<!-- blancoconcretesax は このプロジェクトではJDK 1.5でのみ生成することとします。 -->
		<!--
		<blancoconcretesax metadir="meta/xsd/concretesax" basepackage="blanco.xsd.concretesax" />
		-->
	</target>

	<!-- JavaDoc記述 2005.12.15版 -->
	<target name="javadoc">
		<echo>JavaDocを生成します。</echo>
		<delete dir="javadoc" />
		<javadoc destdir="javadoc">
			<fileset dir="src" />
			<fileset dir="blanco/main" />
			<classpath>
				<fileset dir="lib" includes="*.jar" />
				<fileset dir="lib.ant" includes="*.jar" />
			</classpath>
		</javadoc>
	</target>

	<target name="build" depends="meta,compile,jar,pack">
	</target>

</project>
